atom-1.0.9: A DSL for embedded hard realtime applications.

Safe Haskell | None

Language.Atom.Compile

Description

Atom compilation.

Synopsis

- compile :: Name -> Config -> Atom () -> IO (Schedule, RuleCoverage, [Name], [Name], [(Name, Type)])
- reportSchedule :: Schedule -> String
- type Schedule = (UeMap, [(Int, Int, [Rule])])

# Documentation

compile :: Name -> Config -> Atom () -> IO (Schedule, RuleCoverage, [Name], [Name], [(Name, Type)])

Compiles an atom description to C.

reportSchedule :: Schedule -> String

type Schedule = (UeMap, [(Int, Int, [Rule])])